> For the complete documentation index, see [llms.txt](https://seeletech.gitbook.io/wiki/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://seeletech.gitbook.io/wiki/developer/intro.md).

# Subchain

## Brief

STEM is Seele's take on subnet infrastructure. The protocol extends the security of the already fast Seele-Mainnet to supervise and credit an even faster Seele-Subnet. Subnets, powered by various token releasing mechanisms, supposedly assumes all the creative usages of a mainnet but faster.

## Parts

The main parts consist of a **contract**, ran on mainnet, and a **subnet**, ran similarly to the mainnet. To ease interaction, a **controller** that wraps interaction with the contract and subnet is developed.

Below are detailed and concise graphs illustrating the relationship between parts.

![detailed](/files/-M3nuBVe8yVxZFOky43l)

![concise](/files/-M3nuBVg82LlWitVxav9)

For more information on the integration of these parts, see [white paper](https://seele.pro/news/en/9.html) and the links below.

## Appendix

### Controler: seele-anchor-cli

[documentation](/wiki/developer/intro/seele-anchor-cli/0-user.md)

* [user](/wiki/developer/intro/seele-anchor-cli/0-user.md)
* [test](/wiki/developer/intro/seele-anchor-cli/1-test.md)

[code](https://github.com/muyiy/seele-anchor-cli)

### go-seele-sub

[documentation](/wiki/developer/api/subchain_rpc.md)

* [node api](/wiki/developer/api/subchain_rpc.md)
* [node start](/wiki/developer/intro/subchain_start.md)

[code](https://github.com/seeleteam/go-seele-sub)

### StemRootchain.sol

[documentation](/wiki/developer/intro/subchain_contract.md)

* [constructor](/wiki/developer/intro/seele-anchor-cli/2-conf.md)
* [contract](/wiki/developer/intro/subchain_contract.md)

[code](https://github.com/muyiy/seele-anchor-cli/tree/master/src/sol)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://seeletech.gitbook.io/wiki/developer/intro.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
